import request from '@/utils/request'

// 查询供应商资质列表
export function listQualification(query) {
  return request({
    url: '/supplier/qualification/list',
    method: 'get',
    params: query
  })
}

// 查询供应商资质详细
export function getQualification(qualificationId) {
  return request({
    url: '/supplier/qualification/' + qualificationId,
    method: 'get'
  })
}

// 新增供应商资质
export function addQualification(data) {
  return request({
    url: '/supplier/qualification',
    method: 'post',
    data: data
  })
}

// 修改供应商资质
export function updateQualification(data) {
  return request({
    url: '/supplier/qualification',
    method: 'put',
    data: data
  })
}

// 删除供应商资质
export function delQualification(qualificationId) {
  return request({
    url: '/supplier/qualification/' + qualificationId,
    method: 'delete'
  })
}
